#include <iostream>
#include <cmath>
using namespace std;
int main()
{
  long double p,q,r,L,R;
  cin>>p;
  cin>>q;
  cin>>r;
  cin>>L;
  cin>>R;
  long long int a[100000];
  long long int i;


  long double k=0;
  long long int br=0;

  for (i=L ; i<(R+1) ; i++)
  {
    k=ceil(i/p)+ceil(i/q)+ceil(i/r);
    if (k<=i)
    {
      br++;
    }
  }

 cout<<br;


   return 0;
}